ranges::views::view_closure_base Struct Reference
Inheritance diagram for ranges::views::view_closure_base:

## Public Member Functions

template<typename Rng , typename ViewFn >
CPP_TEMPLATE_AUX_0 | f (requires viewable_range< Rng > &&invocable_view_closure< ViewFn, Rng >) fffriend const expr auto operator|(Rng &&rng

## Public Attributes

CPP_TEMPLATE_AUX_0 view_closure< ViewFn > | vw

## Friends

template<typename Rng , typename ViewFn >
constexpr friend auto | operator| (Rng &&, view_closure< ViewFn > const &) -> Rng requires range< Rng > &&(!viewable_range< Rng >)=delete
template<typename ViewFn , typename Pipeable >
constexpr friend auto | operator| (view_closure< ViewFn > vw, Pipeable pipe) -> view_closure< composed< Pipeable, ViewFn >> requires(is_pipeable_v< Pipeable >)

## Member Data Documentation

## vw

CPP_TEMPLATE_AUX_0 view_closure<ViewFn> ranges::views::view_closure_base::vw

Initial value:
{
return static_cast<ViewFn &&>(vw)(static_cast<Rng &&>(rng))
ViewFn